ICMAX1(3f)

NAME
ICMAX1 - the index of the element whose real part has maximum absolute value

SYNOPSIS

INTEGER FUNCTION
    ICMAX1( N, CX, INCX )

INTEGER
    INCX, N

COMPLEX
    CX( * )

PURPOSE
ICMAX1 finds the index of the element whose real part has maximum absolute value. Based on ICAMAX from Level 1 BLAS.
The change is to use the 'genuine' absolute value.
Contributed by Nick Higham for use with CLACON.

ARGUMENTS

N       (input) INTEGER
    The number of elements in the vector CX.

CX      (input) COMPLEX array, dimension (N)
    The vector whose elements will be summed.

INCX    (input) INTEGER
    The spacing between successive values of CX. INCX >= 1.